Bug 1123918 - subscription-manager backtraces in certmgr.py
Summary: subscription-manager backtraces in certmgr.py
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Subscription Management
Version: Unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified vote
Target Milestone: Unspecified
Assignee: Katello Bug Bin
QA Contact: Katello QA List
URL:
Whiteboard:
Depends On:
Blocks: GSS_Sat6Beta_Tracker, GSS_Sat6_Tracker
TreeView+ depends on / blocked
 
Reported: 2014-07-28 15:50 UTC by Andrew Schofield
Modified: 2019-06-13 08:02 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-03 13:59:29 UTC


Attachments (Terms of Use)

Description Andrew Schofield 2014-07-28 15:50:12 UTC
Description of problem:
Calls to subscription-manager repos returns incorrect information (out of sync with yum repolist (which is correct)) and will generate a backtrace in /var/log/rhsm/rhsm.log:

# subscription-manager repos

+----------------------------------------------------------+
    Available Repositories in /etc/yum.repos.d/redhat.repo
+----------------------------------------------------------+
Repo ID:   rhel-server-rhscl-6-rpms
Repo Name: Red Hat Software Collections RPMs for Red Hat Enterprise Linux 6 Server
Repo URL:  https://satellite/pulp/repos/MyOrg/GPS_Unix/GPS_Unix_Content/content/dist/rhel/server/6/6.5/$basearch/rhscl/1/os
Enabled:   1

Repo ID:   rhel-6-server-rpms
Repo Name: Red Hat Enterprise Linux 6 Server (RPMs)
Repo URL:  https://satellite/pulp/repos/MyOrg/GPS_Unix/GPS_Unix_Content/content/dist/rhel/server/6/6.5/$basearch/os
Enabled:   1

Repo ID:   rhel-server-6-satellite-6-beta-rpms
Repo Name: Red Hat Satellite 6.0 Beta (for RHEL 6 Server) (RPMs)
Repo URL:  https://satellite/pulp/repos/MyOrg/GPS_Unix/GPS_Unix_Content/content/beta/rhel/server/6/6Server/$basearch/satellite/6/os
Enabled:   1

Backtrace is near the bottom, this is the full transaction log:

2014-07-28 11:43:49,529 [DEBUG]  @plugins.py:519 - loaded plugin modules: []
2014-07-28 11:43:49,529 [DEBUG]  @plugins.py:520 - loaded plugins: {}
2014-07-28 11:43:49,540 [DEBUG]  @identity.py:130 - Loading consumer info from identity certificates.
2014-07-28 11:43:49,546 [DEBUG]  @profile.py:96 - Loading current RPM profile.
2014-07-28 11:43:49,621 [INFO]  @managercli.py:295 - Client Versions: {'python-rhsm': '1.9.6-1.el6', 'subscription-manager': '1.9.11-1.el6'}
2014-07-28 11:43:49,621 [INFO]  @connection.py:646 - Using certificate authentication: key = /etc/pki/consumer/key.pem, cert = /etc/pki/consumer/cert.pem, ca = /etc/rhsm/ca/, insecure = False
2014-07-28 11:43:49,621 [INFO]  @connection.py:657 - Connection Built: host: satellite, port: 443, handler: /katello/api
2014-07-28 11:43:49,622 [INFO]  @connection.py:653 - Using no auth
2014-07-28 11:43:49,622 [INFO]  @connection.py:657 - Connection Built: host: satellite, port: 443, handler: /katello/api
2014-07-28 11:43:49,658 [DEBUG]  @connection.py:420 - Loading CA PEM certificates from: /etc/rhsm/ca/
2014-07-28 11:43:49,658 [DEBUG]  @connection.py:402 - Loading CA certificate: '/etc/rhsm/ca/redhat-uep.pem'
2014-07-28 11:43:49,659 [DEBUG]  @connection.py:402 - Loading CA certificate: '/etc/rhsm/ca/candlepin-local.pem'
2014-07-28 11:43:49,659 [DEBUG]  @connection.py:402 - Loading CA certificate: '/etc/rhsm/ca/candlepin-stage.pem'
2014-07-28 11:43:49,659 [DEBUG]  @connection.py:441 - Making request: GET /katello/api/
2014-07-28 11:43:49,762 [DEBUG]  @connection.py:460 - Response status: 200
2014-07-28 11:43:49,763 [DEBUG]  @connection.py:673 - Server supports the following resources:
2014-07-28 11:43:49,764 [DEBUG]  @connection.py:674 - {'available_releases': '/api/available_releases', 'tasks': '/api/tasks/', 'distributors': '/api/distributors/', 'content_overrides': '/api/content_overrides', 'environments': '/api/environments/', 'content_views': '/api/content_views/', 'content_view_filters': '/api/content_view_filters/', 'puppet_modules': '/api/puppet_modules/', 'host_collections': '/api/host_collections/', 'guestids': '/api/guestids', 'consumers': '/api/consumers/', 'systems': '/api/systems/', 'gpg_keys': '/api/gpg_keys/', 'entitlements': '/api/entitlements/', 'status': '/api/status/', 'capsules': '/api/capsules/', 'users': '/api/users/', 'sync_plans': '/api/sync_plans/', 'subscriptions': '/api/subscriptions/', 'content_view_versions': '/api/content_view_versions/', 'packages': '/api/packages/', 'organizations': '/api/organizations/', 'roles': '/api/roles/', 'package_groups': '/api/package_groups/', 'repository_sets': '/api/repository_sets/', 'repositories': '/api/repositories/', 'products': '/api/products/', 'activation_keys': '/api/activation_keys/', 'errata': '/api/errata/'}
2014-07-28 11:43:49,764 [DEBUG]  @connection.py:420 - Loading CA PEM certificates from: /etc/rhsm/ca/
2014-07-28 11:43:49,764 [DEBUG]  @connection.py:402 - Loading CA certificate: '/etc/rhsm/ca/redhat-uep.pem'
2014-07-28 11:43:49,765 [DEBUG]  @connection.py:402 - Loading CA certificate: '/etc/rhsm/ca/candlepin-local.pem'
2014-07-28 11:43:49,765 [DEBUG]  @connection.py:402 - Loading CA certificate: '/etc/rhsm/ca/candlepin-stage.pem'
2014-07-28 11:43:49,765 [DEBUG]  @connection.py:441 - Making request: GET /katello/api/status
2014-07-28 11:43:49,792 [DEBUG]  @connection.py:460 - Response status: 200
2014-07-28 11:43:49,793 [INFO]  @managercli.py:306 - Server Versions: {'candlepin': '1.5.0-26.el6sat-Katello', 'server-type': 'Red Hat Subscription Management'}
2014-07-28 11:43:49,796 [DEBUG]  @connection.py:420 - Loading CA PEM certificates from: /etc/rhsm/ca/
2014-07-28 11:43:49,796 [DEBUG]  @connection.py:402 - Loading CA certificate: '/etc/rhsm/ca/redhat-uep.pem'
2014-07-28 11:43:49,797 [DEBUG]  @connection.py:402 - Loading CA certificate: '/etc/rhsm/ca/candlepin-local.pem'
2014-07-28 11:43:49,797 [DEBUG]  @connection.py:402 - Loading CA certificate: '/etc/rhsm/ca/candlepin-stage.pem'
2014-07-28 11:43:49,797 [DEBUG]  @connection.py:441 - Making request: GET /katello/api/consumers/475ef13b-73a8-4a89-8163-85c17466f68a/certificates/serials
2014-07-28 11:43:50,152 [DEBUG]  @connection.py:460 - Response status: 200
2014-07-28 11:43:50,153 [INFO]  @certlib.py:251 - certs updated:
Total updates: 0
Found (local) serial# [4887303726256496360L, 2516928274607676181L, 8663083645649969688L]
Expected (UEP) serial# [8663083645649969688, 2516928274607676181, 4887303726256496360]
Added (new)
  <NONE>
Deleted (rogue):
  <NONE>
2014-07-28 11:43:50,155 [DEBUG]  @connection.py:420 - Loading CA PEM certificates from: /etc/rhsm/ca/
2014-07-28 11:43:50,155 [DEBUG]  @connection.py:402 - Loading CA certificate: '/etc/rhsm/ca/redhat-uep.pem'
2014-07-28 11:43:50,156 [DEBUG]  @connection.py:402 - Loading CA certificate: '/etc/rhsm/ca/candlepin-local.pem'
2014-07-28 11:43:50,156 [DEBUG]  @connection.py:402 - Loading CA certificate: '/etc/rhsm/ca/candlepin-stage.pem'
2014-07-28 11:43:50,156 [DEBUG]  @connection.py:441 - Making request: GET /katello/api/consumers/475ef13b-73a8-4a89-8163-85c17466f68a
2014-07-28 11:43:50,419 [DEBUG]  @connection.py:460 - Response status: 200
2014-07-28 11:43:50,421 [DEBUG]  @connection.py:420 - Loading CA PEM certificates from: /etc/rhsm/ca/
2014-07-28 11:43:50,422 [DEBUG]  @connection.py:402 - Loading CA certificate: '/etc/rhsm/ca/redhat-uep.pem'
2014-07-28 11:43:50,422 [DEBUG]  @connection.py:402 - Loading CA certificate: '/etc/rhsm/ca/candlepin-local.pem'
2014-07-28 11:43:50,422 [DEBUG]  @connection.py:402 - Loading CA certificate: '/etc/rhsm/ca/candlepin-stage.pem'
2014-07-28 11:43:50,423 [DEBUG]  @connection.py:441 - Making request: GET /katello/api/consumers/475ef13b-73a8-4a89-8163-85c17466f68a/release
2014-07-28 11:43:50,525 [DEBUG]  @connection.py:460 - Response status: 200
2014-07-28 11:43:50,530 [DEBUG]  @repolib.py:193 - Content type kickstart not allowed, skipping content: rhel-6-server-kickstart
2014-07-28 11:43:50,531 [DEBUG]  @repolib.py:193 - Content type kickstart not allowed, skipping content: rhel-6-server-kickstart
2014-07-28 11:43:50,535 [INFO]  @repolib.py:158 - repos updated: 9
2014-07-28 11:43:50,540 [DEBUG]  @hwprobe.py:518 - cpu info: {'cpu.cpu(s)': 2, 'cpu.core(s)_per_socket': 1, 'cpu.thread(s)_per_core': 1, 'cpu.topology_source': 'kernel /sys cpu sibling lists', 'cpu.cpu_socket(s)': 2}
2014-07-28 11:43:50,600 [INFO]  @factlib.py:57 - Facts have not changed, skipping upload.
2014-07-28 11:43:50,602 [DEBUG]  @connection.py:420 - Loading CA PEM certificates from: /etc/rhsm/ca/
2014-07-28 11:43:50,602 [DEBUG]  @connection.py:402 - Loading CA certificate: '/etc/rhsm/ca/redhat-uep.pem'
2014-07-28 11:43:50,603 [DEBUG]  @connection.py:402 - Loading CA certificate: '/etc/rhsm/ca/candlepin-local.pem'
2014-07-28 11:43:50,603 [DEBUG]  @connection.py:402 - Loading CA certificate: '/etc/rhsm/ca/candlepin-stage.pem'
2014-07-28 11:43:50,603 [DEBUG]  @connection.py:441 - Making request: GET /katello/api/
2014-07-28 11:43:50,660 [DEBUG]  @connection.py:460 - Response status: 200
2014-07-28 11:43:50,661 [DEBUG]  @connection.py:673 - Server supports the following resources:
2014-07-28 11:43:50,661 [DEBUG]  @connection.py:674 - {'available_releases': '/api/available_releases', 'tasks': '/api/tasks/', 'distributors': '/api/distributors/', 'content_overrides': '/api/content_overrides', 'environments': '/api/environments/', 'content_views': '/api/content_views/', 'content_view_filters': '/api/content_view_filters/', 'puppet_modules': '/api/puppet_modules/', 'host_collections': '/api/host_collections/', 'guestids': '/api/guestids', 'consumers': '/api/consumers/', 'systems': '/api/systems/', 'gpg_keys': '/api/gpg_keys/', 'entitlements': '/api/entitlements/', 'status': '/api/status/', 'capsules': '/api/capsules/', 'users': '/api/users/', 'sync_plans': '/api/sync_plans/', 'subscriptions': '/api/subscriptions/', 'content_view_versions': '/api/content_view_versions/', 'packages': '/api/packages/', 'organizations': '/api/organizations/', 'roles': '/api/roles/', 'package_groups': '/api/package_groups/', 'repository_sets': '/api/repository_sets/', 'repositories': '/api/repositories/', 'products': '/api/products/', 'activation_keys': '/api/activation_keys/', 'errata': '/api/errata/'}
2014-07-28 11:43:50,661 [INFO]  @cache.py:168 - Checking current system info against cache: /var/lib/rhsm/packages/packages.json
2014-07-28 11:43:50,662 [INFO]  @cache.py:357 - Cache does not exist
2014-07-28 11:43:50,662 [INFO]  @cache.py:170 - System data has changed, updating server.
2014-07-28 11:43:50,662 [DEBUG]  @profile.py:96 - Loading current RPM profile.
2014-07-28 11:43:50,730 [DEBUG]  @connection.py:420 - Loading CA PEM certificates from: /etc/rhsm/ca/
2014-07-28 11:43:50,731 [DEBUG]  @connection.py:402 - Loading CA certificate: '/etc/rhsm/ca/redhat-uep.pem'
2014-07-28 11:43:50,731 [DEBUG]  @connection.py:402 - Loading CA certificate: '/etc/rhsm/ca/candlepin-local.pem'
2014-07-28 11:43:50,731 [DEBUG]  @connection.py:402 - Loading CA certificate: '/etc/rhsm/ca/candlepin-stage.pem'
2014-07-28 11:43:50,733 [DEBUG]  @connection.py:441 - Making request: PUT /katello/api/consumers/475ef13b-73a8-4a89-8163-85c17466f68a/packages
2014-07-28 11:43:51,241 [DEBUG]  @connection.py:460 - Response status: 401
2014-07-28 11:43:51,242 [WARNING]  @certmgr.py:107 - Exception caught while running <subscription_manager.cache.PackageProfileLib object at 0x1e45b90> update
2014-07-28 11:43:51,242 [ERROR]  @certmgr.py:108 -
Traceback (most recent call last):
  File "/usr/share/rhsm/subscription_manager/certmgr.py", line 100, in update
    updates += lib.update()
  File "/usr/share/rhsm/subscription_manager/certlib.py", line 68, in update
    return self._do_update()
  File "/usr/share/rhsm/subscription_manager/cache.py", line 56, in _do_update
    return profile_mgr.update_check(self.uep, consumer_uuid)
  File "/usr/share/rhsm/subscription_manager/cache.py", line 353, in update_check
    return CacheManager.update_check(self, uep, consumer_uuid, force)
  File "/usr/share/rhsm/subscription_manager/cache.py", line 178, in update_check
    raise re
RestlibException
2014-07-28 11:43:51,244 [INFO]  @cache.py:168 - Checking current system info against cache: /var/lib/rhsm/cache/installed_products.json
2014-07-28 11:43:51,244 [INFO]  @cache.py:185 - No changes.
2014-07-28 11:43:51,245 [DEBUG]  @connection.py:420 - Loading CA PEM certificates from: /etc/rhsm/ca/
2014-07-28 11:43:51,246 [DEBUG]  @connection.py:402 - Loading CA certificate: '/etc/rhsm/ca/redhat-uep.pem'
2014-07-28 11:43:51,246 [DEBUG]  @connection.py:402 - Loading CA certificate: '/etc/rhsm/ca/candlepin-local.pem'
2014-07-28 11:43:51,246 [DEBUG]  @connection.py:402 - Loading CA certificate: '/etc/rhsm/ca/candlepin-stage.pem'
2014-07-28 11:43:51,247 [DEBUG]  @connection.py:441 - Making request: GET /katello/api/consumers/475ef13b-73a8-4a89-8163-85c17466f68a/release
2014-07-28 11:43:51,336 [DEBUG]  @connection.py:460 - Response status: 200
2014-07-28 11:43:51,339 [DEBUG]  @repolib.py:193 - Content type kickstart not allowed, skipping content: rhel-6-server-kickstart
2014-07-28 11:43:51,340 [DEBUG]  @repolib.py:193 - Content type kickstart not allowed, skipping content: rhel-6-server-kickstart

Comment 1 RHEL Product and Program Management 2014-07-28 16:04:16 UTC
Since this issue was entered in Red Hat Bugzilla, the release flag has been
set to ? to ensure that it is properly evaluated for this release.

Comment 3 Bryan Kearney 2014-08-11 18:27:48 UTC
Can you let me know a bit more of what you are seeing, and send me the output of rhsm-debug? What parts do you think are wrong, and what parts do you think are accurate?

Comment 4 Karl Abbott 2014-08-29 19:16:41 UTC
From Andrew:

I've just taken a look at this and the two are now in sync with each other. I suspect this might have had something to do with :

https://bugzilla.redhat.com/show_bug.cgi?id=1123971

Comment 5 Bryan Kearney 2014-10-03 13:59:29 UTC
Based on the comments, we are closing this out. If you are still seeing this issue, please feel free to reopen.


Note You need to log in before you can comment on or make changes to this bug.